#include "fft_basic.h"

fft_basic::fft_basic(int n, t_fft_window fft_window) : fftw_base(n, fft_window) { }

void fft_basic::real_fft_dbm(double data_in[], double data_out_mag[])
{
    real_fft_linear_power(data_in, data_out_mag);
    linear2dbm_real(data_out_mag);
    correct_coherent_gain_real(data_out_mag);
}


void fft_basic::complex_fft_dbm(double data_in_real[], double data_in_imag[], double data_out_mag[])
{
    complex_fft_linear_power(data_in_real, data_in_imag, data_out_mag);
    linear2dbm_complex(data_out_mag);
    correct_coherent_gain_complex(data_out_mag);
}
