#-------------------------------------------------
#
# Project created by QtCreator 1970-01-01T00:27:26
#
#-------------------------------------------------

QT       += core gui

TARGET = radio_control
TEMPLATE = app


SOURCES += main.cpp\
        mainwindow.cpp \
    fft/fftw_base.cpp \
    fft/fft_basic.cpp \
    fft/fft_avg_real.cpp \
    fft/fft_avg_complex.cpp \
    waterfall/waterfallplot.cpp \
    waterfall/waterfalldata.cpp \
    audio_rx/audiorx.cpp \
    audio_rx/audioddc.cpp \
    dialogdebugmonitor.cpp \
    waterfall_rx/waterfallddc.cpp \
    testgenerator.cpp \
    frontend.cpp

HEADERS  += mainwindow.h \
    ip_cores.h \
    fft/fftw_base.h \
    fft/fft_basic.h \
    fft/fft_avg_real.h \
    fft/fft_avg_complex.h \
    waterfall/waterfallplot.h \
    waterfall/rasterdata.h \
    waterfall/waterfalldata.h \
    audio_rx/audiorx.h \
    audio_rx/audioddc.h \
    dialogdebugmonitor.h \
    waterfall_rx/waterfallddc.h \
    testgenerator.h \
    frontend.h \
    ip_cores_hdmi.h

FORMS    += mainwindow.ui \
    dialogdebugmonitor.ui


unix:!macx:!symbian: LIBS += -L$$PWD/../../stipcores/library/ -lstipcores -lfftw3 -L/usr/lib/ -lqwt-qt4


INCLUDEPATH += $$PWD/../../stipcores/header /usr/include/qwt-qt4 #waterfall/
DEPENDPATH += $$PWD/../../stipcores/header

unix:!macx:!symbian: PRE_TARGETDEPS += $$PWD/../../stipcores/library/libstipcores.a

OTHER_FILES +=

RESOURCES += \
    audio_rx/icons.qrc
